Bug 546686 - Review Request: cricscore-applet - Cricket score applet for gnome panel
Summary: Review Request: cricscore-applet - Cricket score applet for gnome panel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 17:13 UTC by Arun S A G
Modified: 2010-05-12 18:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-12 18:16:52 UTC
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Arun S A G 2009-12-11 17:13:41 UTC
Spec URL: http://sagarun.fedorapeople.org/SPECS/cricscore-applet.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/cricscore-applet-1.1-1.fc12.src.rpm
Description: This is a gnome panel applet.The goal of this package is to bring cricket score to your gnome desktop panel.

koji builds F12,F11 :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1870050
http://koji.fedoraproject.org/koji/taskinfo?taskID=1870052

Note: This is the first python panel applet i am packaging for fedora  please help me fix things like Buildrequires and Requires in spec file Thanks :-)

Comment 1 Arun S A G 2010-02-06 09:59:24 UTC
Updated to version 1.1.0.1

Spec URL: http://sagarun.fedorapeople.org/SPECS/cricscore-applet.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/cricscore-applet-1.1.0.2-1.fc12.src.rpm


koji builds: 

F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1966209
EPEL: http://koji.fedoraproject.org/koji/taskinfo?taskID=1966226

Any cricket lovers here :-) ? Any one willing to review/package this package?

Comment 2 Ankur Sinha (FranciscoD) 2010-04-14 20:24:15 UTC
quick review:

- Please justify the explicit Requires
http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

- The src tar contains a Makefile, why not use use make install with required directories as arguments instead of explicitly installing the files yourself?

make install DESTDIR=%{buildroot} etc?

minor changes:

summary could use an "A" : A cricket score applet for GNOME

description could be changed to : "%{name} gets cricket scores to your panel", instead of "The goal of.. "

regards,
Ankur

Comment 3 Arun S A G 2010-04-17 07:15:23 UTC
Ankur, Thanks for the review.

(In reply to comment #2)
> quick review:
> 
> - Please justify the explicit Requires
> http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires
> 

Yes, those requires are not needed, i removed them from spec file. http://koji.fedoraproject.org/koji/taskinfo?taskID=2122121


> - The src tar contains a Makefile, why not use use make install with required
> directories as arguments instead of explicitly installing the files yourself?
> 
> make install DESTDIR=%{buildroot} etc?

Done.

> 
> minor changes:
> 
> summary could use an "A" : A cricket score applet for GNOME
> 
> description could be changed to : "%{name} gets cricket scores to your panel",
> instead of "The goal of.. "

Done.


SPEC URL: http://sagarun.fedorapeople.org/SPECS/cricscore-applet.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/cricscore-applet-1.1.0.2-2.fc12.src.rpm

Comment 4 Ankur Sinha (FranciscoD) 2010-04-17 14:28:28 UTC
complete review:

+ = OK
- = NA
? = issue


+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.

+ Sources match upstream md5sum:
[Ankur1@localhost rpmbuild]$ md5sum cricscore-1.1.0.2.tar.gz 
fcd9a577640e1f25c45a24b40f93e476  cricscore-1.1.0.2.tar.gz
[Ankur1@localhost rpmbuild]$ md5sum SOURCES/cricscore-1.1.0.2.tar.gz 
fcd9a577640e1f25c45a24b40f93e476  SOURCES/cricscore-1.1.0.2.tar.gz


- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
+ Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

? Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2122121

+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.

- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
+ Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)


XXXX Issues XXXX

1. use parallel make?
https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

2. since its a GUI, I think a desktop file is needed. 
https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Please make a desktop file as SOURCE1 and also submit this upstream?

3. rpmlint gives some errors:
[Ankur1@localhost SOURCES]$ rpmlint  ~/Downloads/cricscore-applet-1.1.0.2-2.fc12.noarch.rpm 
cricscore-applet.noarch: E: script-without-shebang /usr/libexec/cricscore-applet/cricscore_prefs.py
cricscore-applet.noarch: E: script-without-shebang /usr/libexec/cricscore-applet/gnome_cricscore_globals.py
cricscore-applet.noarch: E: script-without-shebang /usr/lib/bonobo/servers/cricketscore.server
cricscore-applet.noarch: E: script-without-shebang /usr/share/cricscore-applet/GNOME_CricScoreApplet.xml
1 packages and 0 specfiles checked; 4 errors, 0 warnings.

trivial fix:
http://fedoraproject.org/wiki/Packaging_tricks#Add_shebang


These are all. Once these are fixed, you're good to go ! :)

regards,
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2010-04-17 14:32:20 UTC
(I
> - final provides and requires are sane:
> (include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
> rpm -qp --requires $i; echo; done
> manually indented after checking each line.  I also remove the rpmlib junk and
> anything provided by glibc.)
> 

[Package@localhost rpmbuild]$ for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
> rpm -qp --requires $i; echo; done
cricscore-applet-1.1.0.2-2.fc12.noarch.rpm
cricscore-applet = 1.1.0.2-2.fc12
=
/usr/bin/env  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

cricscore-applet-1.1.0.2-2.fc12.src.rpm
=
pygtk2-devel  
gettext  
python-devel >= 2.4
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

Comment 6 Arun S A G 2010-04-17 17:59:10 UTC
(In reply to comment #4)

> XXXX Issues XXXX
> 
> 1. use parallel make?
> https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
> 


Will make use of the macro %{_smp_mflags}

> 2. since its a GUI, I think a desktop file is needed. 
> https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
> 
> Please make a desktop file as SOURCE1 and also submit this upstream?
> 

Not needed? I checked another panel applet named deskbar, it does not have any .desktop files. Do i still need to add a .desktop file?


> 3. rpmlint gives some errors:
> [Ankur1@localhost SOURCES]$ rpmlint 
> ~/Downloads/cricscore-applet-1.1.0.2-2.fc12.noarch.rpm 
> cricscore-applet.noarch: E: script-without-shebang
> /usr/libexec/cricscore-applet/cricscore_prefs.py
> cricscore-applet.noarch: E: script-without-shebang
> /usr/libexec/cricscore-applet/gnome_cricscore_globals.py
> cricscore-applet.noarch: E: script-without-shebang
> /usr/lib/bonobo/servers/cricketscore.server
> cricscore-applet.noarch: E: script-without-shebang
> /usr/share/cricscore-applet/GNOME_CricScoreApplet.xml
> 1 packages and 0 specfiles checked; 4 errors, 0 warnings.
> 
> trivial fix:
> http://fedoraproject.org/wiki/Packaging_tricks#Add_shebang
> 

Will fix.

Comment 7 Ankur Sinha (FranciscoD) 2010-04-17 18:22:17 UTC
(In reply to comment #6)
> (In reply to comment #4)
> 
> > XXXX Issues XXXX
> > 
> > 1. use parallel make?
> > https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
> > 
> 
> 
> Will make use of the macro %{_smp_mflags}
> 
> > 2. since its a GUI, I think a desktop file is needed. 
> > https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
> > 
> > Please make a desktop file as SOURCE1 and also submit this upstream?
> > 
> 
> Not needed? I checked another panel applet named deskbar, it does not have any
> .desktop files. Do i still need to add a .desktop file?
> 

yeah, checked, not needed. 

> 
> > 3. rpmlint gives some errors:
> > [Ankur1@localhost SOURCES]$ rpmlint 
> > ~/Downloads/cricscore-applet-1.1.0.2-2.fc12.noarch.rpm 
> > cricscore-applet.noarch: E: script-without-shebang
> > /usr/libexec/cricscore-applet/cricscore_prefs.py
> > cricscore-applet.noarch: E: script-without-shebang
> > /usr/libexec/cricscore-applet/gnome_cricscore_globals.py
> > cricscore-applet.noarch: E: script-without-shebang
> > /usr/lib/bonobo/servers/cricketscore.server
> > cricscore-applet.noarch: E: script-without-shebang
> > /usr/share/cricscore-applet/GNOME_CricScoreApplet.xml
> > 1 packages and 0 specfiles checked; 4 errors, 0 warnings.
> > 
> > trivial fix:
> > http://fedoraproject.org/wiki/Packaging_tricks#Add_shebang
> > 
> 
> Will fix.    

please upload the final srpm, and we can finish up this review :)

Ankur

Comment 8 Arun S A G 2010-04-17 19:23:11 UTC
Spec URL: http://sagarun.fedorapeople.org/SPECS/cricscore-applet.spec
SRPM URL:
http://sagarun.fedorapeople.org/SRPMS/cricscore-applet-1.1.0.2-2.fc12.src.rpm


Note: rpmlint on results in following warnings

bash-4.0$ rpmlint ~/rpmbuild/SRPMS/cricscore-applet-1.1.0.2-2.fc12.src.rpm 
cricscore-applet.src:48: W: libdir-macro-in-noarch-package (main package)
%{_libdir}/bonobo/servers/cricketscore.server
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
bash-4.0$ 

This warning can be ignored IMO. what is your take on this issue?

Comment 9 Ankur Sinha (FranciscoD) 2010-05-03 12:17:39 UTC
(In reply to comment #8)
> Spec URL: http://sagarun.fedorapeople.org/SPECS/cricscore-applet.spec
> SRPM URL:
> http://sagarun.fedorapeople.org/SRPMS/cricscore-applet-1.1.0.2-2.fc12.src.rpm
> 
> 
> Note: rpmlint on results in following warnings
> 
> bash-4.0$ rpmlint ~/rpmbuild/SRPMS/cricscore-applet-1.1.0.2-2.fc12.src.rpm 
> cricscore-applet.src:48: W: libdir-macro-in-noarch-package (main package)
> %{_libdir}/bonobo/servers/cricketscore.server
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> bash-4.0$ 
> 
> This warning can be ignored IMO. what is your take on this issue?    

hey,

I asked some folks on -devel about this. The only solution is to remove the noarch tag and build separate packages for the different arches. That should fix it. 

Ankur

Comment 10 Arun S A G 2010-05-04 04:14:12 UTC
(In reply to comment #9)


> I asked some folks on -devel about this.

Thanks a lot ankur.


> The only solution is to remove the noarch tag and build separate packages for >the different arches. That should fix it. 

I removed the noarch tag and rebuild the RPM, Unfortunately rpmlint on rpm shows "E: No binary" 

https://fedoraproject.org/wiki/Common_Rpmlint_issues#no-binary

Comment 11 Ankur Sinha (FranciscoD) 2010-05-04 04:39:44 UTC
(In reply to comment #10)
> (In reply to comment #9)
> 
> 
> > I asked some folks on -devel about this.
> 
> Thanks a lot ankur.
> 
> 
> > The only solution is to remove the noarch tag and build separate packages for >the different arches. That should fix it. 
> 
> I removed the noarch tag and rebuild the RPM, Unfortunately rpmlint on rpm
> shows "E: No binary" 
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#no-binary    

hey,

This can be ignored. The package is supposed to be a noarch. However, the inclusion of the bonobo stuff in libdir needs the noarch to go. 

Please upload the latest spec and src rpm.

Ankur

Comment 13 Ankur Sinha (FranciscoD) 2010-05-05 07:43:38 UTC
hey,

Looks good. 


XXXXX APPROVED XXXXX

Comment 14 Arun S A G 2010-05-10 16:49:56 UTC
New Package CVS Request
=======================
Package Name: cricscore-applet
Short Description: Cricket Score applet for gnome panel
Owners: sagarun
Branches: F12 F13

Comment 15 Kevin Fenzi 2010-05-11 04:38:43 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.